#!/bin/bash

METWS_LOG_DIR_JOBS="{{ metws_log_dir_jobs }}"
DIR_SCRIPTS="{{ metws_job_scripts }}"

LOGPREFIX="$1"
shift
SCRIPT="$1"
shift

NOW=`date '+%Y%m%dT%H%M%S'`
LOGFILE="$METWS_LOG_DIR_JOBS/$LOGPREFIX-$NOW.log"

mkdir -p "$METWS_LOG_DIR_JOBS"

# remove old logfiles
find "$METWS_LOG_DIR_JOBS" -type f -name '*-20[0-9][0-9][0-1][0-9][0-3][0-9]T[0-1][0-9][0-6][0-9][0-6][0-9].log' -mtime '+8' -exec rm -f '{}' '+'

"$DIR_SCRIPTS/$SCRIPT" "$@" > "$LOGFILE" 2>&1
